## org.apache.lucene.search
Class BooleanQuery.TooManyClauses

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.lucene.search.BooleanQuery.TooManyClauses

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  BooleanQuery

    public static class BooleanQuery.TooManyClauses

extends java.lang.RuntimeException

Thrown when an attempt is made to add more than `BooleanQuery.getMaxClauseCount()` clauses. This typically happens if a PrefixQuery, FuzzyQuery, WildcardQuery, or TermRangeQuery is expanded to many terms during search.

See Also:
  Serialized Form

Constructor Summary
`BooleanQuery.TooManyClauses()`

Method Summary
`java.lang.String` `getMessage()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BooleanQuery.TooManyClauses

    public BooleanQuery.TooManyClauses()

Method Detail

### getMessage

    public java.lang.String getMessage()

  Overrides:
    `getMessage` in class `java.lang.Throwable`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.